#ifndef CONFIG_H
#define CONFIG_H

/*

TL; DR; If you are using Arduino IDE, you have to configure this file.
See the first section.

This file controls how the sketch work so this is where your should
start to adjust settings. If you are using Arduino-Makefile you can
set these values by editing the EXTRA_FLAGS Makefile variable.

If you are using the Arduino IDE and want to set a configuration
value, change the lines that look like this:

// #define FOO ...

to

#define FOO 1

*/

/*

Configuration Section

If you are using the Arduino IDE, change stuff in this section. All
values are commented out, but some have default values

*/

///////////////////////////////////////////////////////////////////////////////
// Board version
//
// You have to set this to match your board. The build will fail if
// you don't set it.
//
// Values:
//  1: prototype-a, the hand assembled PCB
//  2: prototype-b, the china produced PCB
//
// Default: not set, you have to set it
// #define SM_BOARD_VERSION ...

#define SM_BOARD_VERSION 1

///////////////////////////////////////////////////////////////////////////////
// Wait for serial before starting
//
// If enabled the code won't start until you open the serial port
// monitor or otherwise connect to the serial port.
//
// This is useful to have defined when using the device with the
// Arduino IDE, but when you want to use it with a plant you don't
// want this to be set.
//
// Values:
//   0: Do not wait
//   1: Wait
// Default: 1
// #define WAIT_FOR_SERIAL_BEFORE_STARING ...

///////////////////////////////////////////////////////////////////////////////
// Persistent configuration
//
// If enabled the settings for each sensor will be persisted in EEPROM
//
// Values:
//  0: disabled
//  1: enabled
// Default: 0
// #define PERSISTENT_CONFIGURATION_SUPPORT ...

///////////////////////////////////////////////////////////////////////////////
// Use low power mode
//
// If enabled the device will try to use as little power as possible.
//
// Not fully functional yet so it is disabled by default.
//
// Values:
//  0: disabled
//  1: enabled
// Default: 0
// #define USE_LOW_POWER_MODE ...

/*

Default Values Section

Do not touch stuff in this section, it only sets default values.

*/

#ifndef WAIT_FOR_SERIAL_BEFORE_STARING
#define WAIT_FOR_SERIAL_BEFORE_STARING 1
#endif

#ifndef PERSISTENT_CONFIGURATION_SUPPORT
#define PERSISTENT_CONFIGURATION_SUPPORT 1
#endif

#ifndef SM_DEBUG
#define SM_DEBUG 1
#endif

#ifndef LOW_POWER
#define LOW_POWER 0
#endif

#endif
